## org.gjt.sp.jedit.search
Interface SearchFileSet

All Known Implementing Classes:
  AllBufferSet, BufferListSet, CurrentBufferSet, DirectoryListSet

    public interface SearchFileSet

An abstract interface representing a set of files.

Method Summary
`java.lang.String` `getCode()` Returns the BeanShell code that will recreate this file set.
`int` `getFileCount(View view)` Returns the number of files in this file set.
`java.lang.String[]` `getFiles(View view)` Returns all path names in this file set.
`java.lang.String` `getFirstFile(View view)` Returns the first file to search.
`java.lang.String` `getNextFile(View view, java.lang.String path)` Returns the next file to search.

Method Detail

### getFirstFile

    java.lang.String getFirstFile(View view)

  Returns the first file to search.

  Parameters:
    `view` - The view performing the search

### getNextFile

    java.lang.String getNextFile(View view,
                                 java.lang.String path)

  Returns the next file to search.

  Parameters:
    `view` - The view performing the search
    `path` - The last file searched

### getFiles

    java.lang.String[] getFiles(View view)

  Returns all path names in this file set.

  Parameters:
    `view` - The view performing the search

### getFileCount

    int getFileCount(View view)

  Returns the number of files in this file set.

### getCode

    java.lang.String getCode()

  Returns the BeanShell code that will recreate this file set.